Name:           libgpg-error
Version:        1.46
Release:        1%{?dist}
Summary:        Library for error values used by GnuPG components 

License:        LGPLv2+
URL:            https://www.gnupg.org/related_software/libgpg-error/
Source0:        https://www.gnupg.org/ftp/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2

BuildRequires:  gcc, gawk, gettext, autoconf, automake, gettext-devel, libtool, make, gettext-autopoint, texinfo

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	doc
Summary:	Doc files for libgpg-error
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	doc
Doc files for libgpg-error.

%prep
%autosetup

%build
%configure --disable-static --disable-rpath --disable-languages --enable-install-gpg-error-config
%make_build

%install
%make_install
%find_lang %{name}

%check
%make_build check

%files -f %{name}.lang
%license COPYING COPYING.LIB
%{_bindir}/gpg-error
%{_libdir}/libgpg-error.so.0*
%{_datadir}/libgpg-error

%files doc
%doc AUTHORS README NEWS

%files devel
%{_bindir}/gpg-error-config
%{_bindir}/gpgrt-config
%{_bindir}/yat2m
%{_libdir}/libgpg-error.so
%{_libdir}/pkgconfig/gpg-error.pc
%{_includedir}/gpg-error.h
%{_includedir}/gpgrt.h
%{_datadir}/aclocal/gpg-error.m4
%{_datadir}/aclocal/gpgrt.m4
%{_infodir}/gpgrt.info*
%{_mandir}/man1/*

%changelog
* Sun Oct 9 2022 Funda Wang <fundawang@yeah.net> - 1.46-1
- New version 1.46

* Thu Mar 10 2022 forrest_ly <flin@linux.alibaba.com> - 1.44-1 
- Init for Anolis OS 23 
